Best way to update sites running Foundation 4/5

I have inherited several WordPress sites that were built on Foundation themes circa 2014-2016, either as parent themes or as a modified starter theme. Our IT security folks have been badgering us to get our sites off of jQuery 1 & 2, but it looks like updating jQuery is causing javascript errors on these sites. It looks to me like I would need to update the Foundation code to the latest 6.x version.

What I’m trying to figure out is

  1. is that correct? (I need to be running Foundation 6.x to get onto jQuery 3.5+)
  2. what’s the best way to do that?
  3. what things should I look for on my current sites that would impact how to proceed? (I vaguely know that there are different versions of Foundation SASS/CSS… not sure which ones these sites are using or whether that makes a difference.